
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #290

Incorrect parsing of ID3 "TIME" field

May 12, 2013 15:49 - Michael Schwendt

Status: Closed Start date: May 12, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudtag Estimated time: 0.00 hour

Target version: 3.4   

Affects version: 3.4-beta1   

Description

Didn't realise I've commented on a closed/rejected ticket #215, so here's a fresh one:

http://amigaremix.com/listen/2623/gibs%20-%20Cannon%20Fodder%20-%20Of%20Blood%20And%20Honor.mp3

Audacious madplug.so (based on libmpg123-1.15.1) displays a length of 0:01 whereas mpg123 shows 2:45 (and MC shows

02:45.85).

MC (Midnight Commander) runs "mpg123 -vtn1" on the file (which means "verbose info, no audio output, only one frame") and then

extracts the displayed length:

$ mpg123 -vn1 gibs\ -\ Cannon\ Fodder\ -\ Of\ Blood\ And\ Honor.mp3 2>&1|grep Fra

Frame# 0 [ 6349], Time: 00:00.00 [02:45.85], RVA: off, Vol: 100(100)

So, the file is a VBR track where an implementation to determine the duration seems to be missing in Audacious.

History

#1 - May 13, 2013 06:52 - John Lindgren

- Tracker changed from Feature to Bug

- Subject changed from MP3 VBR track duration detection to Incorrect parsing of ID3 "TIME" field

- Category set to libaudtag

- Status changed from New to Closed

- Target version set to 3.4

- % Done changed from 0 to 100

This has nothing whatsoever to do with VBR.  The ID3 tag in this file contains a relatively uncommon "TIME" field which libaudtag was wrongly

interpreting as the song length.

https://github.com/audacious-media-player/audacious/commit/b12938c85abcbf35f87f4ba21aac0fb6f637dabe
